Subject: [SPIRITS] Template-package issues for I-D

From: Vijay Gurbani <[email-masked]>
Date: Tue, 05 Mar 2002 09:21:04 -0600

Folks:

Some private email exchange between myself and Adam Roach regarding the use
of template-packages in the I-D for the SPIRITS protocol --
http://search.ietf.org/internet-drafts/draft-gurbani-spirits-protocol-01.txt

For subsequent discussions and any resolutions, I would like to move it to 
the SPIRITS WG list.

Comments on the I-D itself as well as the specific point discussed in the
portion reproduced below are welcome.

  > Adam Roach wrote:
  > [...]
  > 
  >>Your new draft still contains the misunderstanding that I was
  >>attempting to dispel in my previous node. To be clearer, I will
  >>quote a section from draft-ietf-sip-events-04:
  >>
  >>     Event template-packages must be defined so that they can be
  >>     applied to any arbitrary package. In other words, event
  >>     template-packages cannot be specifically tied to one or a few
  >>     "parent" packages in such a way that they will not work with
  >>     other packages.
  >>
  >>In other words, if you define a template-package called "INDPs,"
  >>it must make sense to refer to "presence.INDPs" and even
  >>"spirits.INDPs.INDPs". For the two "template-packages" your
  >>draft attempts to define, this simply isn't the case.
  >>
  > 
  > Adam:
  > 
  > I did read this in draft-ietf-sip-events-04.  However, not remembering 
  > the genesis of this requirement, I fail to understand its imposition (I 
  > know last call for draft-ietf-sip-events-04 is over).  That is not to say 
  > that we will not adhere to it, but what function does it serve?  After 
  > all, events for a package X are germaine to the package X, and to any of 
  > its sub-packages (or template-packages) only.
  > 
  > Even in C++, a template class for matrix multiplication can be applied to 
  > different types; however, the same template class cannot be used to 
  > implement, say, a linked list of different types.
  > 
  > It appears to me that template-packages definitely make sense within the
  > context of a package.  However, to require a template-package to work 
  > with *all* the packages in the universe is a bit too restrictive, IMHO.
  > 
  > Please understand that I am not attempting to be difficult, just that I 
  > am trying to understand the reasoning behind the requirement so I can 
  > better
  > reflect it in our I-D.
  > 
  > Thanks,
  > 
  > - vijay
 
Regards,

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Internet Software and eServices Group 
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216   Fax: +1 630 713 0184
_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits